@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Special+Gothic+Expanded+One&display=swap');

*{
    padding: 0;
    margin: 0;
    font-family: "Poppins", sans-serif;
    box-sizing: border-box;
}

body{
    background: linear-gradient(135deg, #e3f9ff 0%, #bae8e8 100%);
}

.title{
    margin-left: 10px;
    font-family: "Special Gothic Expanded One", cursive;
    color: #22223b;
    text-shadow: 2px 2px 10px #bae8e8;
    letter-spacing: 2px;
    margin-bottom: 25px;
}

.container{
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.calculator{
    background-color: #3a4452;
    padding: 1%;
    border-radius: 3%;
}

.calculator form input{
    border: 0;
    outline: 0;
    width: 60px;
    height: 60px;
    border-radius: 10px;
    box-shadow: -5px -5px 8px rgba(255, 255, 255, 0.1);
    background: transparent;
    font-size: 20px;
    color: wheat;
    cursor: pointer;
    margin: 10px;
}

form .display{
    display: flex;
    justify-content: flex-end;
    margin: 20px 0;
}

form .display input{
    text-align: right;
    flex: 1;
    font-size: 45px;
    box-shadow: none;
}

form input.equal{
    width: 145px;
}

form input.operator{
    color: white;
}

@media (max-width: 600px) {
    .calculator form input{
        width: 50px;
        height: 50px;
        font-size: 18px;
        margin: 8px;
    }

    form .display input{
        font-size: 35px;
    }

    form input.equal{
        width: 115px;
    }
}